FROM openwhisk/dockerskeleton

# 安装编译工具
RUN apk update && apk add --no-cache gcc musl-dev

# 将 C 源文件复制到容器中
ADD . /action

# 编译 C 程序为 exec
RUN gcc /action/noop.c  -o /action/exec -lm

# 使用 CMD 指令执行编译好的 C 程序
CMD ["/bin/bash", "-c", "cd /actionProxy && python -u actionproxy.py"]
